org.apache.ignite.internal.processors.cache.persistence

## Interface DbCheckpointListener

All Known Implementing Classes:
  GridCacheOffheapManager

    public interface DbCheckpointListener

### Nested Class Summary

Nested Classes
`static interface` `DbCheckpointListener.Context` Context with information about current snapshots.

### Method Summary

Methods
`void` `onCheckpointBegin(DbCheckpointListener.Context ctx)`

### Method Detail

#### onCheckpointBegin

    void onCheckpointBegin(DbCheckpointListener.Context ctx)
                           throws IgniteCheckedException

Throws:
  `IgniteCheckedException` - If failed.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017